## libvirt-glib 0.0.2

=== debian/changelog ===
libvirt-glib (0.0.2-1) experimental; urgency=low

  * [71266c3] New upstream version 0.0.2

 -- Guido Günther <agx@sigxcpu.org>  Wed, 23 Nov 2011 22:17:32 +0100

libvirt-glib (0.0.1-1) experimental; urgency=low

  * [555e057] New upstream version 0.0.1
  * [cccbecc] Add watch file
  * [ce1afbf] Enable vala bindings
  * [2145772] Drop
    0001-Explicitly-link-conn-test-example-against-libgobject.patch applied
    upstream.
  * [f26c096] Only invoke autogen.sh if configure isn't available so we can
    build both git snapshots and release tarballs.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Nov 2011 08:40:39 +0100

libvirt-glib (0.0.1~1.git55696-1) experimental; urgency=low

  * [1b2450a] New upstream version 0.0.1~1.git55696
  * [da6f297] Invoke autogen.sh since we're building a git snapshot
  * [44b82be] Drop patches. All applied upstream
  * [66b57a9] Switch to source format 3 (quilt)
  * [e904b24] Add new build-deps (libxml2-dev)
  * [304d605] Switch from cdbs to dh. Drop python package since we ship a gir
    package now.
  * [56d5023] New patch
    0001-Explicitly-link-conn-test-example-against-libgobject.patch.
    to fix the example build.
  * [541d961] Add symbols file
  * [48c0ec2] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Oct 2011 18:45:59 +0200

libvirt-glib (0~0.git22fac-2) experimental; urgency=low

  * [3fa3427] Add pyversions file (Closes: #588596)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 Jul 2010 13:55:21 +0200

libvirt-glib (0~0.git22fac-1) experimental; urgency=low

  * Initial release (Closes: #535825)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Jul 2009 17:24:28 +0200

## libvirt-glib 4.0.0

=== meson_options.txt ===
option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
option('rpath', type: 'feature', value: 'auto', description: 'whether to include rpath information in installed binaries and libraries')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')
option('tests', type: 'feature', value: 'auto', description: 'whether to build tests')

option('introspection', type: 'feature', value: 'auto', yield: true, description: 'Enable GObject Introspection')
option('vapi', type: 'feature', value: 'auto', yield: true, description: 'Enable Vala bindings')

## libvirt-glib 0.0.4

=== debian/changelog ===
libvirt-glib (0.0.4-1) experimental; urgency=low

  * [de2b022] New upstream version 0.0.4
  * [b148481] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Jan 2012 22:01:22 +0100

=== debian/control ===
Source: libvirt-glib
Section: libs
Priority: extra
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config,
 libvirt-dev (>= 0.5.0), libglib2.0-dev (>= 2.10),
 libxml2-dev, libgirepository1.0-dev, gobject-introspection,
# when building from git:
  automake, autoconf, libtool,
# for python bindings:
  python-dev, python-support,
# for vala bindings
  valac-0.14
Standards-Version: 3.9.2

Package: libvirt-glib-1.0-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libvirt glib mainloop integration
 This shared library eases integration of libvirt's events into programs using
 a glib mainloop.

Package: libvirt-glib-1.0-0-dbg
Architecture: any
Section: debug
Depends: libvirt-glib-1.0-0 (= ${binary:Version}), ${misc:Depends}
Description: libvirt glib mainloop integration
 This shared library eases integration of libvirt's events into programs using
 a glib mainloop.
 .
 This package contains the debugging symbols.

Package: libvirt-glib-1.0-dev
Architecture: any
Section: libdevel
Depends: libvirt-glib-1.0-0 (= ${binary:Version}), ${misc:Depends},
 gir1.2-libvirt-glib-1.0 (= ${binary:Version})
Recommends: pkg-config
Description: libvirt glib mainloop integration
 This shared library eases integration of libvirt's events into programs using
 a glib mainloop.
 .
 This package contains the development headers and the Vala bindings.

Package: gir1.2-libvirt-glib-1.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
Description: libvirt glib mainloop integration
 This shared library eases integration of libvirt's events into programs using
 a glib mainloop.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	[ -x ./configure ] || ./autogen.sh
	dh_auto_configure -- --enable-introspection --enable-vala

override_dh_strip:
	dh_strip -plibvirt-glib-1.0-0 --dbg-package=libvirt-glib-1.0-0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -a
	dh_girepository

=== debian/watch ===
version=3

ftp://libvirt.org/libvirt/glib/libvirt-glib-([\d\.]+)\.tar\.gz

## libvirt-glib 0.0.6

=== debian/changelog ===
libvirt-glib (0.0.6-1) experimental; urgency=low

  * New upstream version 0.0.6
  * [941ceb1] Unconfuse dh.  The GNUMakefile makes it things we're a Make type
    project otherwise.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Mar 2012 13:24:02 +0100

libvirt-glib (0.0.5-1) experimental; urgency=low

  * [4882ac8] Change section of introspection data to introspection
  * [594240d] libvirt-gobject needs libvirt-dev
  * [0bba521] Require libvirt 0.9.10
  * [e10b816] watch: use http for download
  * [34e2822] New upstream version 0.0.5

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Mar 2012 08:55:32 +0100

## libvirt-glib 0.0.8

=== debian/changelog ===
libvirt-glib (0.0.8-1) unstable; urgency=low

  * [f9495f9] New upstream version 0.0.8 (Closes: #673018)
  * [fc3a90f] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Tue, 15 May 2012 15:32:30 +0200

libvirt-glib (0.0.7-3) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Apr 2012 12:29:18 +0200

libvirt-glib (0.0.7-2) experimental; urgency=low

  * [ec963a2] Bump required version in symbols file (Closes: #667683)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 11 Apr 2012 13:55:51 +0200

libvirt-glib (0.0.7-1) experimental; urgency=low

  * [901d3d1] New upstream version 0.0.7 (Closes: #666690)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Apr 2012 13:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config,
- libvirt-dev (>= 0.5.0), libglib2.0-dev (>= 2.10),
+ libvirt-dev (>= 0.9.10), libglib2.0-dev (>= 2.10),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection,
 # when building from git:
   automake, autoconf, libtool,
@@ -34,7 +34,7 @@
 Architecture: any
 Section: libdevel
 Depends: libvirt-glib-1.0-0 (= ${binary:Version}), ${misc:Depends},
- gir1.2-libvirt-glib-1.0 (= ${binary:Version})
+ gir1.2-libvirt-glib-1.0 (= ${binary:Version}), libvirt-dev
 Recommends: pkg-config
 Description: libvirt glib mainloop integration
  This shared library eases integration of libvirt's events into programs using
@@ -44,7 +44,7 @@
 
 Package: gir1.2-libvirt-glib-1.0
 Architecture: any
-Section: libs
+Section: introspection
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
 Description: libvirt glib mainloop integration
  This shared library eases integration of libvirt's events into programs using

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_strip:
 	dh_strip -plibvirt-glib-1.0-0 --dbg-package=libvirt-glib-1.0-0-dbg
 
+override_dh_auto_clean:
+	[ ! -f Makefile ] || make clean
+
 override_dh_makeshlibs:
 	dh_makeshlibs -a
 	dh_girepository

## libvirt-glib 0.1.2

=== debian/changelog ===
libvirt-glib (0.1.2-1ubuntu2) raring; urgency=low

  * debian/control:
    - Build-depend on valac instead of valac-0.14; fixes build failure 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 06 Apr 2013 11:52:15 -0400

libvirt-glib (0.1.2-1ubuntu1) raring; urgency=low

  * debian/rules: add --with-python=no to configure options
    Build without the Python bindings which aren't packaged anyways
    ("fixes" build with multi-arched Python).
  * debian/control:
    Drop python-dev and python-support from Build-Depends

 -- Michael Bienia <geser@ubuntu.com>  Sun, 06 Jan 2013 12:21:21 +0100

libvirt-glib (0.1.2-1) experimental; urgency=low

  * [d14bf12] New upstream version 0.1.2
  * [4700825] Ship development documentation
  * [34fa445] Bump standards version
  * [8eb4d1c] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Sep 2012 08:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: libvirt-glib
 Section: libs
 Priority: extra
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config,
  libvirt-dev (>= 0.9.10), libglib2.0-dev (>= 2.10),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection,
 # when building from git:
   automake, autoconf, libtool,
-# for python bindings:
-  python-dev, python-support,
 # for vala bindings
-  valac-0.14
-Standards-Version: 3.9.2
+  valac (>= 0.14)
+Standards-Version: 3.9.3
 
 Package: libvirt-glib-1.0-0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_configure:
 	[ -x ./configure ] || ./autogen.sh
-	dh_auto_configure -- --enable-introspection --enable-vala
+	dh_auto_configure -- --enable-introspection --enable-vala --with-python=no
 
 override_dh_strip:
 	dh_strip -plibvirt-glib-1.0-0 --dbg-package=libvirt-glib-1.0-0-dbg

## libvirt-glib 0.1.6

=== debian/changelog ===
libvirt-glib (0.1.6-1ubuntu2) trusty; urgency=medium

  * Build-depend on gtk-doc-tools.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2014 15:28:27 +0100

libvirt-glib (0.1.6-1ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2014 15:18:31 +0100

libvirt-glib (0.1.6-1) unstable; urgency=low

  * Upload to unstable
  * Acknowledge NMU, thanks Andreas!
  * [decc6aa] Use vala >= 0.20 (Closes: #709717)
  * [7f21934] Add gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 May 2013 18:14:09 +0200

libvirt-glib (0.1.6-0.1) experimental; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Imported Upstream version 0.1.6
  * Add Vcs-* and Homepage fields to debian/control
  * Bump libvirt-dev build-dependency to (>= 0.10.2)
  * Update libvirt-glib-1.0-0.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 27 Mar 2013 13:11:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: libvirt-glib
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config,
- libvirt-dev (>= 0.9.10), libglib2.0-dev (>= 2.10),
+Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends: debhelper (>= 7.0.50~), pkg-config, dh-autoreconf, gtk-doc-tools,
+ libvirt-dev (>= 0.10.2), libglib2.0-dev (>= 2.10),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection,
 # when building from git:
   automake, autoconf, libtool,
+# for python bindings:
+  python-dev, python-support,
 # for vala bindings
-  valac (>= 0.14)
+  valac (>= 0.20)
 Standards-Version: 3.9.3
+Homepage: https://libvirt.org
+Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt-glib.git
+Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-glib.git
 
 Package: libvirt-glib-1.0-0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	[ -x ./configure ] || ./autogen.sh
	dh_auto_configure -- --enable-introspection --enable-vala

override_dh_strip:
	dh_strip -plibvirt-glib-1.0-0 --dbg-package=libvirt-glib-1.0-0-dbg

override_dh_auto_clean:
	[ ! -f Makefile ] || make clean

override_dh_makeshlibs:
	dh_makeshlibs -a
	dh_girepository

=== debian/watch ===
version=3

http://libvirt.org/sources/glib/libvirt-glib-([\d\.]+)\.tar\.gz

## libvirt-glib 0.1.7

=== debian/changelog ===
libvirt-glib (0.1.7-2.1ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - Build using dh-autoreconf.
    - Build-depend on gtk-doc-tools.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 13 Jun 2014 17:55:41 +1000

libvirt-glib (0.1.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable parallel build (Closes: #739787)
    - there's no big gain for such a small package to use parallel builds,
      but more importantly not worth the risk of triggering FTBFS bugs.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Apr 2014 21:20:41 +0200

libvirt-glib (0.1.7-2) unstable; urgency=medium

  * Upload to unstable (Closes: #726582)
  * [6e4b1b8] Mention that the API/ABI is not considered stable yet

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 Feb 2014 17:53:07 +0100

libvirt-glib (0.1.7-1) experimental; urgency=low

  * Upload to experimental
  * [04ac4ee] Allow for parallel builds
  * [778d444] New upstream version (Closes: #726582)
  * [03ae3ed] Update symbols
  * [b68d2cb] Build-Dep on intltool
  * [b2e9891] Don't ship static libs
  * [4d5162d] Remove gvir_config_domain_source_pty_set_path from exported
    symbols. The function got accidentally exported under the wrong name
    upstream.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Jan 2014 14:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: libvirt-glib
 Section: libs
 Priority: extra
-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, dh-autoreconf, gtk-doc-tools,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends: debhelper (>= 7.0.50~),  dh-autoreconf, gtk-doc-tools,
+ intltool,
+ pkg-config,
  libvirt-dev (>= 0.10.2), libglib2.0-dev (>= 2.10),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection,
 # when building from git:
@@ -22,6 +25,8 @@
 Description: libvirt glib mainloop integration
  This shared library eases integration of libvirt's events into programs using
  a glib mainloop.
+ .
+ The API/ABI of this library are still considered unstable.
 
 Package: libvirt-glib-1.0-0-dbg
 Architecture: any
@@ -44,6 +49,8 @@
  a glib mainloop.
  .
  This package contains the development headers and the Vala bindings.
+ .
+ The API/ABI of this library are still considered unstable.
 
 Package: gir1.2-libvirt-glib-1.0
 Architecture: any

## libvirt-glib 0.1.9

=== debian/changelog ===
libvirt-glib (0.1.9-4) unstable; urgency=medium

  * [7e61158] Fix test by not running main loop twice (Closes: #765566)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Oct 2014 17:32:20 +0200

libvirt-glib (0.1.9-3) unstable; urgency=medium

  * [e0e94fd] Build-Depend on libtool-bin (Closes: #761771)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Oct 2014 07:34:40 +0200

libvirt-glib (0.1.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Oct 2014 11:23:21 +0200

libvirt-glib (0.1.9-1) experimental; urgency=medium

  * [6e4b1b8] Mention that the API/ABI is not considered stable yet
  * [0af3efc] New upstream version 0.1.9 (Closes: #761382)
  * [3e8f002] Bump symbol versions
  * [936ca30] Bump standards version
  * [8840ab1] Include dpkg-buildflags to get hardening flags
  * [d101543] Drop python build-deps. We don't ship the python bindings since
    ages

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Sep 2014 20:51:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: libvirt-glib
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 7.0.50~),  dh-autoreconf, gtk-doc-tools,
+Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends: debhelper (>= 7.0.50~), 
  intltool,
  pkg-config,
  libvirt-dev (>= 0.10.2), libglib2.0-dev (>= 2.10),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection,
 # when building from git:
-  automake, autoconf, libtool,
-# for python bindings:
-  python-dev, python-support,
+  automake, autoconf, libtool, libtool-bin,
 # for vala bindings
   valac (>= 0.20)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://libvirt.org
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt-glib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-glib.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/default.mk
+
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	[ -x ./configure ] || ./autogen.sh

## libvirt-glib 0.2.2

=== debian/changelog ===
libvirt-glib (0.2.2-0.1ubuntu1) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Jan 2016 00:32:32 +0100

libvirt-glib (0.2.2-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * [834be8c] Imported Upstream version 0.2.2 (Closes: #793894)
  * [94ad412] Bump build-dependencies according to configure.ac changes
              - libglib2.0-dev (>= 2.36)
  * [db9841d] Update debian/libvirt-glib-1.0-0.symbols with added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Jul 2015 21:23:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~), 
  intltool,
  pkg-config,
- libvirt-dev (>= 0.10.2), libglib2.0-dev (>= 2.10),
+ libvirt-dev (>= 0.10.2), libglib2.0-dev (>= 2.36),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection,
 # when building from git:
   automake, autoconf, libtool, libtool-bin,
@@ -18,6 +18,8 @@
 
 Package: libvirt-glib-1.0-0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: libvirt glib mainloop integration
  This shared library eases integration of libvirt's events into programs using
@@ -37,6 +39,7 @@
 
 Package: libvirt-glib-1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libvirt-glib-1.0-0 (= ${binary:Version}), ${misc:Depends},
  gir1.2-libvirt-glib-1.0 (= ${binary:Version}), libvirt-dev
@@ -51,6 +54,7 @@
 
 Package: gir1.2-libvirt-glib-1.0
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
 Description: libvirt glib mainloop integration

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	[ -x ./configure ] || ./autogen.sh
-	dh_auto_configure -- --enable-introspection --enable-vala
+	dh_auto_configure -- --enable-introspection --enable-vala --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"
 
 override_dh_strip:
 	dh_strip -plibvirt-glib-1.0-0 --dbg-package=libvirt-glib-1.0-0-dbg

## libvirt-glib 0.2.3

=== debian/changelog ===
libvirt-glib (0.2.3-2) unstable; urgency=medium

  [ Guido Günther ]
  * [f2e50c4] Remove useless debian/dirs
  * [0f9ac6c] Bump standards version
  * [f431c40] Add missing symbol
  * [539dcc3] Use dh_autoreconf (Closes: #751921)
  * [e4f5e69] Drop debug package
  * [5be5a0d] Drop unused debian/py{compat,versions}
  * [519db00] Use https git URIs
  * [f05f74b] Add autopkg test to verify the gir works
  * [6736b89] Improve descriptions

  [ Matthias Klose ]
  * [de16694] Multiarchify (Closes: #813061)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Mar 2016 13:07:28 +0100

libvirt-glib (0.2.3-1) unstable; urgency=medium

  [ Guido Günther ]
  * [909376d] Verify tarball signature
  * [d1aa62a] New upstream version 0.2.3 (Closes: #818464)

  [ Andreas Henriksson ]
  * [0dd8082] Bump build-dependencies according to configure.ac changes.
     - libvirt-dev (>= 1.1.1)
     - libglib2.0-dev (>= 2.36.0)
     - gobject-introspection (>= 1.36.0)
  * [14a047b] Update debian/libvirt-glib-1.0-0.symbols with added symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Mar 2016 20:38:27 +0100

## libvirt-glib 1.0.0

=== debian/changelog ===
libvirt-glib (1.0.0-1) unstable; urgency=medium

  * [b4225aa] New upstream version 1.0.0
  * [a1b9d2a] Bump symbol versions
  * [2d0ac88] Switch to debian compat level 10
  * [42f68d8] gbp.conf: switch to upstream/latest

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Dec 2016 13:56:24 +0100

=== debian/control ===
Source: libvirt-glib
Section: libs
Priority: extra
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 gtk-doc-tools,
 intltool,
 pkg-config,
 libvirt-dev (>= 1.1.1), libglib2.0-dev (>= 2.36.0),
 libxml2-dev, libgirepository1.0-dev, gobject-introspection (>= 1.36.0),
# when building from git:
  automake, autoconf, libtool, libtool-bin,
# for vala bindings
  valac (>= 0.20)
Standards-Version: 3.9.7
Homepage: https://libvirt.org
Vcs-Git: https://anonscm.debian.org/git/git/pkg-libvirt/libvirt-glib.git
Vcs-Browser: https://git.debian.org/?p=pkg-libvirt/libvirt-glib.git

Package: libvirt-glib-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libvirt GLib and GObject mapping library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 The API/ABI of this library are still considered unstable.

Package: libvirt-glib-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libvirt-glib-1.0-0 (= ${binary:Version}), ${misc:Depends},
 gir1.2-libvirt-glib-1.0 (= ${binary:Version}), libvirt-dev
Recommends: pkg-config
Description: Development files for the libvirt-glib library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 This package contains the header files and static libraries which are needed
 for developing the applications with libvirt as well as the Vala bindings.
 .
 The API/ABI of this library are still considered unstable.

Package: gir1.2-libvirt-glib-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
Description: GObject introspection files for the libvirt-glib library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	[ -x ./configure ] || ./autogen.sh
	dh_auto_configure -- --enable-introspection --enable-vala --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"

override_dh_auto_clean:
	[ ! -f Makefile ] || make clean

override_dh_makeshlibs:
	dh_makeshlibs -a
	dh_girepository

=== debian/tests/control ===
Tests: smoke.py
Depends: gir1.2-libvirt-glib-1.0,
  python3-gi

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
    http://libvirt.org/sources/glib/libvirt-glib-([\d\.]+)\.tar\.gz

## libvirt-glib 2.0.0

=== debian/changelog ===
libvirt-glib (2.0.0-2) unstable; urgency=medium

  * Upload to unstabe (Closes: #941292)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Sep 2019 11:52:20 +0200

libvirt-glib (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0
    (Closes: #921695)
  * Switch gbp.conf to experimental
  * Drop Don-t-run-main-loop-twice.patch.
    Not needed anymore.
  * d/control: Switch VCS URLs to salsa
  * d/control: Drop dh-autoreconf build-dep
  * d/control: Depend on debhelper 10.
    This is what we're currently using.
  * d/control: Bump standards version.
    No changes needed.
  * d/control: Switch priority to optional.
  * d/rules: --parallel is default now
  * Bump symbols
  * d/watch: Use https URI
  * d/control: Add provides for typelib files.
    This helps lintian to figure out that the dev package has the right deps.
  * Add Build-Depends-Package to symbol file

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Feb 2019 12:09:59 +0100

## libvirt-glib 3.0.0

=== debian/changelog ===
libvirt-glib (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
    (Closes: #953975)
  * Add salsa-ci
  * Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 Mar 2020 11:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libvirt-glib
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 7.0.50~),
- dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
  gtk-doc-tools,
  intltool,
  pkg-config,
@@ -13,10 +12,10 @@
   automake, autoconf, libtool, libtool-bin,
 # for vala bindings
   valac (>= 0.20)
-Standards-Version: 3.9.7
+Standards-Version: 4.3.0
 Homepage: https://libvirt.org
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-libvirt/libvirt-glib.git
-Vcs-Browser: https://git.debian.org/?p=pkg-libvirt/libvirt-glib.git
+Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-glib.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-glib
 
 Package: libvirt-glib-1.0-0
 Architecture: any
@@ -49,6 +48,10 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
+Provides:
+ gir1.2-libvirtgconfig-1.0 (= ${binary:Version}),
+ gir1.2-libvirtglib-1.0 (= ${binary:Version}),
+ gir1.2-libvirtgobject-1.0 (= ${binary:Version}),
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
 Description: GObject introspection files for the libvirt-glib library
  The libvirt-glib library eases integration of libvirt's events and API into

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	[ -x ./configure ] || ./autogen.sh

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
    https://libvirt.org/sources/glib/libvirt-glib-([\d\.]+)\.tar\.gz

## libvirt-glib 4.0.0

=== debian/changelog ===
libvirt-glib (4.0.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #993358)
  * d/gbp.conf: Require upstream signatures

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Aug 2021 13:40:39 +0200

libvirt-glib (4.0.0-1) experimental; urgency=medium
  
  * Upload to experimental
  * d/watch: Look for xz tarballs.
    Upstream switched with 4.0.0
  * New upstream version 4.0.0
    (Closes: #985770)
  * Switch from autotools to meson
  * d/rules: Drop libdir.
    Multiarch dirs are used since dh 9.
  * Bump symbol versions
  * Bump dh-compat to 13
  * Disable syntax-checks. The can fail in debian/.
  * Install l10n files into libvirt-glib-1.0-data
  * d/control: Bump standards version
  * d/rules: Enable bindnow hardening

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Apr 2021 11:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (=13),
  gtk-doc-tools,
  intltool,
  pkg-config,
  libvirt-dev (>= 1.1.1), libglib2.0-dev (>= 2.36.0),
  libxml2-dev, libgirepository1.0-dev, gobject-introspection (>= 1.36.0),
-# when building from git:
-  automake, autoconf, libtool, libtool-bin,
+ meson,
 # for vala bindings
   valac (>= 0.20)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://libvirt.org
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-glib.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-glib
@@ -22,6 +21,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libvirt-glib-1.0-data
 Description: libvirt GLib and GObject mapping library
  The libvirt-glib library eases integration of libvirt's events and API into
  GLib and GObject based applications.
@@ -44,6 +44,17 @@
  .
  The API/ABI of this library are still considered unstable.
 
+Package: libvirt-glib-1.0-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Common files for libvirt GLib library
+ The libvirt-glib library eases integration of libvirt's events and API into
+ GLib and GObject based applications.
+ .
+ This package is needed for the runtime libraries to display messages in
+ languages other than English.
+
 Package: gir1.2-libvirt-glib-1.0
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dintrospection=enabled -Dvapi=enabled

override_dh_makeshlibs:
	dh_makeshlibs -a
	dh_girepository

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
    https://libvirt.org/sources/glib/libvirt-glib-([\d\.]+)\.tar\.xz

## libvirt-glib 5.0.0

=== debian/changelog ===
libvirt-glib (5.0.0-3) unstable; urgency=medium

  * Team upload
  * Update gir handling (Closes: #1118889)
  * Update debian/gbp.conf
  * Add patch to update expected test output after dependency changes
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Nov 2025 08:18:41 -0500

libvirt-glib (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Simplify symbols file using symver
  * d/control: add ${gir:Provides} to the Provides of libvirt-glib-1.0-dev
  * Override lintian gir-missing-typelib-dependency for libvirt-glib-1.0-dev
  * Disable syntax-check tests by passing --no-suite syntax-check to meson test.
    Drop the patch Disable-syntax-checks.patch, no more needed now.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Dec 2023 08:31:03 +0100

libvirt-glib (5.0.0-1) unstable; urgency=medium

  * d/control: add ${gir:Provides} to the Provides of gir1.2-libvirt-glib-1.0
  * New upstream version 5.0.0
  * d/copyright: update for the new version
  * d/control: bump build dependencies according to the upstream build system
  * d/patches/Disable-syntax-checks.patch: refresh
  * Add new symbols

 -- Pino Toscano <pino@debian.org>  Fri, 01 Dec 2023 00:45:45 +0100

libvirt-glib (4.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Guido Günther ]
  * metadata: Add location of upstream repo

  [ Pino Toscano ]
  * Update maintainership:
    - set Maintainer to Debian Libvirt Maintainers, like other libvirt packages
    - move Guido to Uploaders
  * Use the dh-sequence-gir build dependency.
  * d/upstream/metadata: update & add more information
  * d/watch: bump to v4, and switch to the new upstream download location.
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.2, no changes needed.
  * d/patches/Disable-syntax-checks.patch: add DEP-3 headers
  * d/control: drop ${shlibs:Depends} substvar where not needed
  * d/control: add Rules-Requires-Root: no
  * d/control: drop the intltool build dependency, no more used
  * d/rules: stop manually exporting build flags, dh handles them already.
  * d/copyright: switch to copyright-format v1.0, and update.
  * d/control: bump build dependencies according to the upstream build system

 -- Pino Toscano <pino@debian.org>  Sat, 16 Sep 2023 10:17:05 +0200

=== debian/control ===
Source: libvirt-glib
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 gir1.2-gio-2.0-dev,
 gir1.2-gobject-2.0-dev,
 gir1.2-libxml2-2.0-dev,
 gobject-introspection,
 gtk-doc-tools,
 libglib2.0-dev,
 libvirt-dev,
 libxml2-dev (>= 2.9.1),
 meson,
 pkgconf,
 valac
Standards-Version: 4.7.2
Homepage: https://libvirt.org
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-glib.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-glib

Package: libvirt-glib-1.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libvirt-glib-1.0-data
Description: libvirt GLib and GObject mapping library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 The API/ABI of this library are still considered unstable.

Package: libvirt-glib-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Provides: ${gir:Provides}
Depends:
 libvirt-dev,
 libvirt-glib-1.0-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends}
Recommends: pkgconf
Description: Development files for the libvirt-glib library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 This package contains the header files and static libraries which are needed
 for developing the applications with libvirt as well as the Vala bindings.
 .
 The API/ABI of this library are still considered unstable.

Package: libvirt-glib-1.0-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for libvirt GLib library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: gir1.2-libvirt-glib-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Provides: ${gir:Provides}
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection files for the libvirt-glib library
 The libvirt-glib library eases integration of libvirt's events and API into
 GLib and GObject based applications.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/tests/control ===
Tests: smoke.py
Depends: gir1.2-libvirt-glib-1.0, python3-gi
